package com.ruoyi.generator.service.front;

import java.util.List;
import com.ruoyi.generator.domain.front.FrontUser;
import com.ruoyi.generator.domain.front.dto.FrontRegisterBody;

public interface IFrontUserService
{
    public FrontUser selectByUsername(String username);
    public FrontUser selectById(Long userId);
    public int register(FrontRegisterBody body);
    public int updateLastLoginTime(Long userId);
    public FrontUser selectFrontUserById(Long userId);
    public FrontUser selectFrontUserByUsername(String username);
    public List<FrontUser> selectFrontUserList(FrontUser frontUser);
}
